Name:          upsm
Version:       3.0.0
Release:       %mkrel 1
Summary:       Qt-based ups monitor (front-end for upsc from Network UPS Tools)
Group:         Monitoring
License:       GPLv3+
URL:           https://github.com/psemiletov/upsm
Source0:       https://github.com/psemiletov/upsm/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:        upsm-cmake-4.0.patch

BuildRequires: cmake
BuildRequires: pkgconfig(Qt6Core)
BuildRequires: pkgconfig(Qt6Gui)
BuildRequires: pkgconfig(Qt6Widgets)
BuildRequires: pkgconfig(Qt6Core5Compat)

Requires:      nut

%description
upsm is Qt-based ups monitor (front-end for upsc from Network UPS Tools). 
It sits at the tray and polls nut server using upsc, so you need to set 
up NUT first.

%prep
%autosetup -p1

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%{_bindir}/upsm
%{_datadir}/applications/upsm.desktop
%{_iconsdir}/hicolor/128x128/apps/upsm.png
%{_iconsdir}/hicolor/scalable/apps/upsm.svg


%changelog
* Wed Jul 02 2025 aurr <aurr> 3.0.0-1.mga10
+ Revision: 2239211
- new version: 3.0.0
- fix build with cmake-4.0
- switch to Qt6
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Sun Apr 03 2022 umeabot <umeabot> 2.0.2-6.mga9
+ Revision: 1842243
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 2.0.2-5.mga8
+ Revision: 1660125
- Rebuild for new Qt5

* Sat Feb 15 2020 daviddavid <daviddavid> 2.0.2-4.mga8
+ Revision: 1525730
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Tue Apr 02 2019 umeabot <umeabot> 2.0.2-3.mga7
+ Revision: 1385202
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 2.0.2-2.mga7
+ Revision: 1301537
- Mageia 7 Mass Rebuild

* Fri Jul 13 2018 semiletov <semiletov> 2.0.2-1.mga7
+ Revision: 1243451
+ rebuild (emptylog)

* Fri Jul 13 2018 semiletov <semiletov> 2.0.1-2.mga7
+ Revision: 1243445
- svg icon added
- patch removed because upstream fixed
- update to upstream 2.0.1
- switch to cmake build system; update to upstream 2.0.0
+ wally <wally>
- add patch to fix CXXFLAGS

* Tue Jan 02 2018 semiletov <semiletov> 1.3.3-2.mga7
+ Revision: 1189320
- spec file fixes and cleanup

* Mon Nov 27 2017 semiletov <semiletov> 1.3.3-1.mga7
+ Revision: 1180110
- desktop file fixes, upstream updated
- imported package upsm

